## ros-lunar-moveit-planners-ompl 0.9.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(moveit_planners_ompl)

# C++ 11 required for OMPL
add_compile_options(-std=c++11)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

find_package(Boost REQUIRED system filesystem date_time thread serialization)
find_package(catkin REQUIRED COMPONENTS
  moveit_core
  moveit_ros_planning
  roscpp
  rosconsole
  pluginlib
  tf
  dynamic_reconfigure
  eigen_conversions
  )

find_package(ompl REQUIRED)

generate_dynamic_reconfigure_options("ompl_interface/cfg/OMPLDynamicReconfigure.cfg")

catkin_package(
  LIBRARIES
    moveit_ompl_interface
    ${OMPL_LIBRARIES}
  INCLUDE_DIRS
    ompl_interface/include
    ${OMPL_INCLUDE_DIRS}
  CATKIN_DEPENDS
    moveit_core
)

include_directories(ompl_interface/include
                    ${Boost_INCLUDE_DIRS}
                    ${catkin_INCLUDE_DIRS}
                    ${OMPL_INCLUDE_DIRS})

link_directories(${OMPL_LIBRARY_DIRS})
link_directories(${catkin_LIBRARY_DIRS})
link_directories(${Boost_LIBRARY_DIRS})

add_subdirectory(ompl_interface)

install(FILES ompl_interface_plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== ompl_interface/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_ompl_interface)

add_library(${MOVEIT_LIB_NAME}
  src/ompl_interface.cpp
  src/planning_context_manager.cpp
  src/constraints_library.cpp
  src/model_based_planning_context.cpp
  src/parameterization/model_based_state_space.cpp
  src/parameterization/model_based_state_space_factory.cpp
  src/parameterization/joint_space/joint_model_state_space.cpp
  src/parameterization/joint_space/joint_model_state_space_factory.cpp
  src/parameterization/work_space/pose_model_state_space.cpp
  src/parameterization/work_space/pose_model_state_space_factory.cpp
  src/detail/threadsafe_state_storage.cpp
  src/detail/state_validity_checker.cpp
  src/detail/projection_evaluators.cpp
  src/detail/goal_union.cpp
  src/detail/constrained_sampler.cpp
  src/detail/constrained_valid_state_sampler.cpp
  src/detail/constrained_goal_sampler.cpp
)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION ${${PROJECT_NAME}_VERSION})

find_package(OpenMP)

target_link_libraries(${MOVEIT_LIB_NAME} ${OMPL_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES LINK_FLAGS "${OpenMP_CXX_FLAGS}")

add_executable(moveit_ompl_planner src/ompl_planner.cpp)
target_link_libraries(moveit_ompl_planner ${MOVEIT_LIB_NAME})
set_target_properties(moveit_ompl_planner PROPERTIES LINK_FLAGS "${OpenMP_CXX_FLAGS}")

add_executable(moveit_demo_construct_constraints_database src/demo_construct_state_database.cpp)
target_link_libraries(moveit_demo_construct_constraints_database ${MOVEIT_LIB_NAME})
set_target_properties(moveit_demo_construct_constraints_database PROPERTIES LINK_FLAGS "${OpenMP_CXX_FLAGS}")

add_library(moveit_ompl_planner_plugin src/ompl_planner_manager.cpp)
set_target_properties(moveit_ompl_planner_plugin PROPERTIES VERSION ${${PROJECT_NAME}_VERSION})
target_link_libraries(moveit_ompl_planner_plugin ${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME} moveit_ompl_planner moveit_ompl_planner_plugin
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(DIRECTORY include/ DESTINATION include)

if(CATKIN_ENABLE_TESTING)
  find_package(moveit_resources REQUIRED)
  include_directories(${moveit_resources_INCLUDE_DIRS})

  catkin_add_gtest(test_state_space test/test_state_space.cpp)
  target_link_libraries(test_state_space ${MOVEIT_LIB_NAME} ${OMPL_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
  set_target_properties(test_state_space PROPERTIES LINK_FLAGS "${OpenMP_CXX_FLAGS}")
endif()

=== debian/changelog ===
ros-lunar-moveit-planners-ompl (0.9.12-1xenial) xenial; urgency=high

  * forward OMPL logging to rosconsole (#916 <https://github.com/ros-planning/moveit/issues/916>)
  * migration from tf to tf2 API (#830 <https://github.com/ros-planning/moveit/issues/830>)
  * switch to ROS_LOGGER from CONSOLE_BRIDGE (#874 <https://github.com/ros-planning/moveit/issues/874>)
  * Make trajectory interpolation in MoveIt consistent to OMPL (#869 <https://github.com/ros-planning/moveit/issues/869>)
  * Contributors: Bryce Willey, Ian McMahon, Mikael Arguedas, Robert Haschke, Xiaojian Ma, Zachary Kingston

 -- Dave Coleman <dave@dav.ee>  Mon, 28 May 2018 22:00:00 -0000

ros-lunar-moveit-planners-ompl (0.9.11-1xenial) xenial; urgency=high



 -- Dave Coleman <dave@dav.ee>  Sun, 24 Dec 2017 23:00:00 -0000

ros-lunar-moveit-planners-ompl (0.9.10-1xenial) xenial; urgency=high

  * [maintenance][kinetic onward] Remove OutputHandlerROS from ompl_interface (#609 <https://github.com/ros-planning/moveit/issues/609>)
  * Contributors: Bence Magyar

 -- Dave Coleman <dave@dav.ee>  Fri, 08 Dec 2017 23:00:00 -0000

ros-lunar-moveit-planners-ompl (0.9.9-1xenial) xenial; urgency=high

  * [improve][moveit_planners_ompl] Optional forced use of JointModelStateSpaceFactory (#541 <https://github.com/ros-planning/moveit/issues/541>)
  * Contributors: henhenhen

 -- Ioan Sucan <isucan@google.com>  Sat, 05 Aug 2017 22:00:00 -0000

ros-lunar-moveit-planners-ompl (0.9.8-1xenial) xenial; urgency=high



 -- Ioan Sucan <isucan@google.com>  Tue, 20 Jun 2017 22:00:00 -0000

ros-lunar-moveit-planners-ompl (0.9.7-1xenial) xenial; urgency=high



 -- Ioan Sucan <isucan@google.com>  Sun, 04 Jun 2017 22:00:00 -0000

ros-lunar-moveit-planners-ompl (0.9.6-1xenial) xenial; urgency=high

  * Always update initial robot state to prevent dirty robot state error.
  * Contributors: Henning Kayser

 -- Ioan Sucan <isucan@google.com>  Tue, 11 Apr 2017 22:00:00 -0000

ros-lunar-moveit-planners-ompl (0.9.5-1xenial) xenial; urgency=high

  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * Contributors: Dave Coleman

 -- Ioan Sucan <isucan@google.com>  Tue, 07 Mar 2017 23:00:00 -0000

ros-lunar-moveit-planners-ompl (0.9.4-1xenial) xenial; urgency=high

  * [enhancement] ompl_interface: uniform & simplified handling of the default planner (#371 <https://github.com/ros-planning/moveit/issues/371>)
  * [maintenance] clang-format upgraded to 3.8 (#367 <https://github.com/ros-planning/moveit/issues/367>)
  * Contributors: Dave Coleman, Michael Goerner

 -- Ioan Sucan <isucan@google.com>  Sun, 05 Feb 2017 23:00:00 -0000

ros-lunar-moveit-planners-ompl (0.9.3-1xenial) xenial; urgency=high

  * [capability] Exposed planners from latest ompl release. (#338 <https://github.com/ros-planning/moveit/issues/338>)
  * [maintenance] Updated package.xml maintainers and author emails #330 <https://github.com/ros-planning/moveit/issues/330>
  * Contributors: Dave Coleman, Ian McMahon, Ruben Burger

 -- Ioan Sucan <isucan@google.com>  Tue, 15 Nov 2016 23:00:00 -0000

ros-lunar-moveit-planners-ompl (0.9.2-1xenial) xenial; urgency=high



 -- Ioan Sucan <isucan@google.com>  Fri, 04 Nov 2016 23:00:00 -0000

ros-lunar-moveit-planners-ompl (0.7.0-1xenial) xenial; urgency=high

  * Removed trailing whitespace from entire repository
  * Fixed include directory order to make ros package shadowing work.
  * fixing internal storing of config settings
  * Make sure an overlayed OMPL is used instead of the ROS one.
  * fix simplifySolutions(bool) setter
    The method simplifySolutions(bool) always set the simplify_solutions member to true and the input variable "flag" was ignored.
    The method is fixed by setting the simplify_solutions member to the value of the input variable "flag".
  * changed location of getDefaultPlanner
  * Contributors: Bastian Gaspers, Christian Dornhege, Dave Coleman, Dave Hershberger, Sachin Chitta

 -- Ioan Sucan <isucan@google.com>  Fri, 29 Jan 2016 23:00:00 -0000

ros-lunar-moveit-planners-ompl (0.6.7-1xenial) xenial; urgency=high

  * Changed OMPL SimpleSetup member variable to shared pointer, passed MotionPlanningRequest to child function
  * Simplified number of solve() entry points in moveit_planners_ompl
  * Fixed uninitialized ``ptc_`` pointer causing a crash.
  * renamed newGoal to new_goal for keeping with formatting
  * setting GroupStateValidityCallbackFn member for constraint_sampler member and implementing callbacks for state validity checking
  * added functions to check validit of state, and also to act as callback for constraint sampler
  * Added copy function from MoveIt! robot_state joint values to ompl state
  * fix for demo constraints database linking error
  * Namespaced less useful debug output to allow to be easily silenced using ros console
  * Contributors: Dave Coleman, Dave Hershberger, Sachin Chitta, arjungm

 -- Ioan Sucan <isucan@google.com>  Mon, 27 Oct 2014 23:00:00 -0000

ros-lunar-moveit-planners-ompl (0.6.6-1xenial) xenial; urgency=high

  * indigo version of moveit planners
  * fix compile error on Indigo
  * Fix for getMeasure() virtual function OMPL change
  * Move OMPL paths before catkin to avoid compilation against ROS OMPL package when specifying a different OMPL installation
  * Fixed bug which limited the number of plans considered to the number of threads.
  * Contributors: Alexander Stumpf, Chris Lewis, Dave Coleman, Ryan Luna, Sachin Chitta

 -- Ioan Sucan <isucan@google.com>  Sat, 05 Jul 2014 22:00:00 -0000

ros-lunar-moveit-planners-ompl (0.5.5-1xenial) xenial; urgency=high

  * update build system for ROS indigo
  * Removed duplicate call to setPlanningScene(), added various comments
  * Contributors: Dave Coleman, Ioan Sucan

 -- Ioan Sucan <isucan@google.com>  Fri, 21 Mar 2014 23:00:00 -0000

ros-lunar-moveit-planners-ompl (0.5.4-1xenial) xenial; urgency=high

  * fix segfault when multiple goals are passed to move_group



=== debian/control ===
Source: ros-lunar-moveit-planners-ompl
Section: misc
Priority: extra
Maintainer: Dave Coleman <dave@dav.ee>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-dynamic-reconfigure, ros-lunar-eigen-conversions, ros-lunar-moveit-core, ros-lunar-moveit-resources, ros-lunar-moveit-ros-planning, ros-lunar-ompl, ros-lunar-pluginlib, ros-lunar-roscpp, ros-lunar-tf
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-lunar-moveit-planners-ompl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-dynamic-reconfigure, ros-lunar-eigen-conversions, ros-lunar-moveit-core, ros-lunar-moveit-ros-planning, ros-lunar-ompl, ros-lunar-pluginlib, ros-lunar-roscpp, ros-lunar-tf
Description: MoveIt interface to OMPL

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-moveit-planners-ompl//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
